%define	name	csmash
%define	version	0.6.6
%define release %mkrel 20

Name:		%{name}
Summary:	A 3D table tennis game
Version:	%{version}
Release:	%{release}
Source0:	http://belnet.dl.sourceforge.net/sourceforge/cannonsmash/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		csmash-0.6.6-64bit-fixes.patch
Patch1:		csmash-0.6.6-gcc4.patch
Patch2:		csmash-0.6.6-extraqualif.patch
URL:		http://CannonSmash.sourceforge.net/
License:	GPLv2
Group:		Games/Sports
BuildRequires:	libx11-devel libxext-devel libxi-devel libxmu-devel libxt-devel
BuildRequires:	SDL_mixer-devel SDL_image-devel  alsa-lib-devel
BuildRequires:	gtk+2-devel mesaglu-devel jpeg-devel texinfo zlib-devel gettext bison

%description
CannonSmash is a 3D tabletennis game. The goal of this project is to represent
various strategies of tabletennis on computer game.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%configure2_5x 
%make

%install
%makeinstall
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/win32

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=CannonSmash
Comment=A 3D table tennis game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir %{buildroot}%{_gamesbindir}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_gamesbindir}
rm -fr %{buildroot}%{_bindir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README README.en
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.6.6-20.mga3
+ Revision: 348363
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 12 2012 dams <dams> 0.6.6-19.mga3
+ Revision: 260059
- fix configure option

* Sun Jun 10 2012 dams <dams> 0.6.6-18.mga3
+ Revision: 259203
- fix path for binary
- clean specfile
- update specfile to use 'gamesbindir' and 'gamesdatadir'

* Wed Sep 14 2011 fwang <fwang> 0.6.6-18.mga2
+ Revision: 143363
- bunzip the patches

* Mon May 09 2011 ahmad <ahmad> 0.6.6-18.mga1
+ Revision: 96654
- Drop BR esound-devel, phasing out esound from the distro

* Sun Mar 13 2011 stormi <stormi> 0.6.6-17.mga1
+ Revision: 70692
- clean spec
- fix license
- imported package csmash

